Subject: Ink & Ivy Micah counter height stool- restock or discontinued?
From: Lauren Adelman <[email-masked]>
To: [email-masked]
Date: Fri, 30 May 2025 08:58:53 -1000

Hello!

I absolutely love the Micah counter height woven back stool by Ink & Ivy
and have had not much success getting it from multiple vendors. I’ve been
able to secure x 1 from Home Depot, and have ordered from English Elm &
Kirkland, but both of these vendors had to cancel my order due to lack of
availability.

Will you be restocking this item? If so, what is the ETA?

Lauren Adelman